Package groovy.transform.stc

# Class IncorrectTypeHintException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.codehaus.groovy.GroovyException
org.codehaus.groovy.syntax.SyntaxException
groovy.transform.stc.IncorrectTypeHintException

All Implemented Interfaces:
  `Serializable`, `GroovyExceptionInterface`

public class IncorrectTypeHintException extends SyntaxException
Indicates that a `ClosureParams` hint declaration is invalid.

Since:
  2.3.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IncorrectTypeHintException(MethodNode mn, String msg, int line, int column)`
  Creates an exception describing an invalid hint message.
  `IncorrectTypeHintException(MethodNode mn, Throwable e, int line, int column)`
  Creates an exception describing a failure caused by another exception.

- ## Method Summary

  ### Methods inherited from class org.codehaus.groovy.syntax.SyntaxException

  `getEndColumn, getEndLine, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`

  ### Methods inherited from class org.codehaus.groovy.GroovyException

  `isFatal, setFatal`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IncorrectTypeHintException

    public IncorrectTypeHintException(MethodNode mn, Throwable e, int line, int column)
    Creates an exception describing a failure caused by another exception.
    Parameters:
      `mn` - the method containing the invalid hint
      `e` - the underlying cause
      `line` - the source line
      `column` - the source column

  - ### IncorrectTypeHintException

    public IncorrectTypeHintException(MethodNode mn, String msg, int line, int column)
    Creates an exception describing an invalid hint message.
    Parameters:
      `mn` - the method containing the invalid hint
      `msg` - the validation message
      `line` - the source line
      `column` - the source column